2 Replies Latest reply: Apr 18, 2013 2:24 AM by alinzenb RSS

    Re: Oracle Forms 10G and Java 7 ?

    alinzenb
      Hi,

      Second try….my first Question on this Thread is go away !!!!

      Forms 10.1.2.3
      Java 1.7 Update 21
      Windows 7

      The implemented Workaround works fine with java 7 Update 17

      -Djava.vendor="Sun Microsystems Inc."


      With the newest Update 21 the “old” error comes back:
      FRM-92095-Oracle JInitiator version is too low….

      Anyone have the same behavior?


      Regards Alfred

      Edited by: alinzenb on 17.04.2013 14:55
        • 1. Re: Oracle Forms 10G and Java 7 ?
          Michael Ferrante-Oracle
          If you install Bundle Patch 1 (9593176) then 14614795, you will overcome this issue. Be sure to carefully review the included ReadMe from each as there are prerequesite patches required. You can find more info in MOS note 1188127.1

          But again, Java 7 is not supported for use with Forms 10.1.2.x unless in an Oracle EBusiness environment. Rather than attempting a hack to get the plugin to work, please consider upgrading to the latest supported version which does support the use of Java 7. The latest supported version is 11.1.2.1 (and 11.1.1.7)

          .

          Edited by: Michael Ferrante (Oracle) on Apr 17, 2013 10:43 AM
          • 2. Re: Oracle Forms 10G and Java 7 ?
            alinzenb
            hi,

            i have solved the problem
            I created the system environment variable JAVA_TOOL_OPTIONS with this value -Djava.vendor="Sun Microsystems Inc."

            see

            regards
            Alfred